/*     */ import java.awt.Point;
/*     */ import java.awt.Rectangle;
/*     */ import java.awt.event.KeyEvent;
/*     */ import java.awt.event.KeyListener;
/*     */ import java.awt.event.MouseEvent;
/*     */ import java.awt.event.MouseListener;
/*     */ import java.awt.event.MouseMotionListener;
/*     */ import java.util.ArrayList;
/*     */ 
/*     */ public class InputManager
/*     */   implements KeyListener, MouseListener, MouseMotionListener
/*     */ {
/*     */   private boolean mousePressed;
/*  12 */   public static Point mousePos = new Point();
/*     */ 
/*     */   public void keyPressed(KeyEvent ke) {
/*  15 */     int key = ke.getKeyCode();
/*  16 */     if (key == 122) {
/*  17 */       Game.getWindow().toggleFullscreen();
/*  18 */       return;
/*     */     }
/*  20 */     if (key == 27) {
/*  21 */       if (Menu.getCurrentMenu() != null) Menu.getCurrentMenu().onClose(); else
/*  22 */         new PauseMenu().show();
/*  23 */       return;
/*     */     }
/*     */     Snake s2;
/*  26 */     if (Game.getSnakes().size() > 1) {
/*  27 */       Snake s1 = (Snake)Game.getSnakes().get(0);
/*  28 */       s2 = (Snake)Game.getSnakes().get(1);
/*     */     }
/*     */     else
/*     */     {
/*     */       Snake s2;
/*  29 */       if (Game.getSnakes().size() == 1) {
/*  30 */         Snake s1 = (Snake)Game.getSnakes().get(0);
/*  31 */         s2 = s1;
/*     */       } else {
/*  33 */         return;
/*     */       }
/*     */     }
/*     */     Snake s2;
/*     */     Snake s1;
/*  35 */     switch (key) {
/*     */     case 87:
/*  37 */       s1.setDir(0); break;
/*     */     case 38:
/*  39 */       s2.setDir(0); break;
/*     */     case 68:
/*  41 */       s1.setDir(1); break;
/*     */     case 39:
/*  43 */       s2.setDir(1); break;
/*     */     case 83:
/*  45 */       s1.setDir(2); break;
/*     */     case 40:
/*  47 */       s2.setDir(2); break;
/*     */     case 65:
/*  49 */       s1.setDir(3); break;
/*     */     case 37:
/*  51 */       s2.setDir(3);
/*     */     }
/*     */   }
/*     */ 
/*     */   public void keyReleased(KeyEvent arg0) {
/*     */   }
/*     */ 
/*     */   public void keyTyped(KeyEvent ke) {
/*  58 */     ke.getKeyCode();
/*     */   }
/*     */ 
/*     */   public void mouseClicked(MouseEvent me)
/*     */   {
/*     */   }
/*     */ 
/*     */   public void mouseEntered(MouseEvent me)
/*     */   {
/*     */   }
/*     */ 
/*     */   public void mouseExited(MouseEvent me)
/*     */   {
/*  71 */     this.mousePressed = false;
/*     */   }
/*     */ 
/*     */   public void mousePressed(MouseEvent me) {
/*  75 */     if ((me.getButton() == 1) && (!this.mousePressed)) {
/*  76 */       if (Menu.getCurrentMenu() != null) {
/*  77 */         GamePanel gp = Game.getGamePanel();
/*  78 */         for (Button b : Menu.getCurrentMenu().getButtons()) {
/*  79 */           if (new Rectangle(b.x * (gp.bw + gp.sw) + gp.bx, b.y * (gp.bw + gp.sw) + gp.by, b.w * (gp.bw + gp.sw) - gp.sw, b.h * (gp.bw + gp.sw) - gp.sw).contains(me.getPoint())) {
/*  80 */             b.onClick();
/*     */           }
/*     */         }
/*     */       }
/*  84 */       this.mousePressed = true;
/*     */     }
/*     */   }
/*     */ 
/*     */   public void mouseReleased(MouseEvent me) {
/*  89 */     if (me.getButton() == 1)
/*  90 */       this.mousePressed = false;
/*     */   }
/*     */ 
/*     */   public void mouseDragged(MouseEvent me)
/*     */   {
/*  95 */     mouseMoved(me);
/*     */   }
/*     */ 
/*     */   public void mouseMoved(MouseEvent me)
/*     */   {
/* 100 */     mousePos = me.getPoint();
/* 101 */     if (Menu.getCurrentMenu() != null)
/* 102 */       for (Button b : Menu.getCurrentMenu().getButtons())
/* 103 */         b.mouseOver = isMouseOverButton(b);
/*     */   }
/*     */ 
/*     */   public static boolean isMouseOverButton(Button b)
/*     */   {
/* 109 */     GamePanel gp = Game.getGamePanel();
/* 110 */     return new Rectangle(b.x * (gp.bw + gp.sw) + gp.bx, b.y * (gp.bw + gp.sw) + gp.by, b.w * (gp.bw + gp.sw) - gp.sw, b.h * (gp.bw + gp.sw) - gp.sw).contains(mousePos);
/*     */   }
/*     */ }

/* Location:           C:\Users\Leon\Desktop\Dropbox\Public\Games\Snake\Snake.jar
 * Qualified Name:     InputManager
 * JD-Core Version:    0.6.0
 */