/*     */ import java.io.PrintStream;
/*     */ import java.util.ArrayList;
/*     */ 
/*     */ public class Snake
/*     */ {
/*     */   private int x;
/*     */   private int y;
/*     */   private int d;
/*     */   private int newd;
/*     */   private String name;
/*   6 */   private int score = 0;
/*   7 */   private int speed = 1;
/*   8 */   private int idle = 40;
/*   9 */   private ArrayList<Tail> tail = new ArrayList();
/*     */   private boolean dead;
/*     */   public static final int UP = 0;
/*     */   public static final int RIGHT = 1;
/*     */   public static final int DOWN = 2;
/*     */   public static final int LEFT = 3;
/*     */ 
/*     */   public Snake(String name, int x, int y, int d)
/*     */   {
/*  14 */     this.name = name;
/*  15 */     this.x = x;
/*  16 */     this.y = y;
/*  17 */     this.newd = d;
/*  18 */     int length = 0;
/*  19 */     switch ($SWITCH_TABLE$Difficulty()[Game.diff.ordinal()]) { case 1:
/*  20 */       length = 5; this.speed = 1; break;
/*     */     case 2:
/*  21 */       length = 20; this.speed = 15; break;
/*     */     case 3:
/*  22 */       length = 40; this.speed = 30;
/*     */     }
/*  24 */     for (int i = 0; i < length; i++)
/*  25 */       this.tail.add(new Tail(x, y, this));
/*     */   }
/*     */ 
/*     */   public void eat(Food f)
/*     */   {
/*  30 */     f.delete();
/*  31 */     Tail t1 = (Tail)this.tail.get(0);
/*  32 */     Tail t2 = new Tail(t1.getX(), t1.getY(), this);
/*  33 */     t2.age = t1.age;
/*  34 */     this.tail.add(0, t2);
/*  35 */     Food.newFood();
/*  36 */     this.score = (int)(this.score + Game.prize);
/*  37 */     Game.prize = 100.0D;
/*  38 */     if (this.speed < 30)
/*  39 */       this.speed += 1;
/*  40 */     Menu.getCurrentMenu().update();
/*     */   }
/*     */ 
/*     */   public void delete() {
/*  44 */     for (Tail t : this.tail)
/*  45 */       t.delete();
/*     */   }
/*     */ 
/*     */   public void move()
/*     */   {
/*  51 */     if (this.idle > this.speed) { this.idle -= 1; return; }
/*  52 */     this.idle = 40;
/*  53 */     this.d = this.newd;
/*  54 */     switch (this.d) { case 0:
/*  55 */       this.y -= 1; break;
/*     */     case 1:
/*  56 */       this.x += 1; break;
/*     */     case 2:
/*  57 */       this.y += 1; break;
/*     */     case 3:
/*  58 */       this.x -= 1;
/*     */     }
/*     */ 
/*  67 */     if (this.dead) { if (!this.tail.isEmpty()) ((Tail)this.tail.remove(0)).delete(); return; }
/*  68 */     ((Tail)this.tail.get(0)).setPos(this.x, this.y);
/*  69 */     this.tail.add((Tail)this.tail.remove(0));
/*     */ 
/*  77 */     for (Tile t : (ArrayList)Tile.tiles.clone()) {
/*  78 */       if (this.tail.contains(t)) {
/*  79 */         ((Tail)t).age += 1;
/*     */       }
/*  81 */       if ((t.getX() == this.x) && (t.getY() == this.y))
/*  82 */         if ((t instanceof Food)) {
/*  83 */           eat((Food)t);
/*  84 */         } else if (((t instanceof Crashable)) && (this.tail.get(this.tail.size() - 1) != t)) {
/*  85 */           System.out.println(this.name + " crashed into " + t.getName());
/*  86 */           kill();
/*     */         }
/*     */     }
/*     */   }
/*     */ 
/*     */   public void kill()
/*     */   {
/*  93 */     setDir(-1);
/*  94 */     this.dead = true;
/*  95 */     if (((Menu.getCurrentMenu() instanceof ScoreBoard)) && ((Game.mode != GameMode.FOODHUNT) || ((Game.getSnakes().size() > 1) && (((Snake)Game.getSnakes().get(0)).isDead()) && (((Snake)Game.getSnakes().get(1)).isDead())))) new GameOverMenu(this).show(); 
/*     */   }
/*     */ 
/*     */   public boolean isDead() {
/*  98 */     return this.dead; } 
/*  99 */   public ArrayList<Tail> getTail() { return this.tail; } 
/* 100 */   public String getName() { return this.name; } 
/* 101 */   public int getScore() { return this.score; } 
/* 102 */   public void setDir(int d) { if ((!this.dead) && ((d == -1) || ((d + 2 != this.d) && (d - 2 != this.d)))) this.newd = d;
/*     */   }
/*     */ }

/* Location:           C:\Users\Leon\Desktop\Dropbox\Public\Games\Snake\Snake.jar
 * Qualified Name:     Snake
 * JD-Core Version:    0.6.0
 */