import java.awt.Color;


public class Tail extends Crashable {
	private Snake s;
	int age;

	public Tail(int x, int y, Snake s) {
		super(x, y);
		this.s = s;
	}
	
	public Color getColor() {
		if(s.getTail().size() < 2) return new Color(0, 0, 0, 0);
		if(s.isDead() && age > s.getTail().size()) age = s.getTail().size() - 1;
		float color = (float) (1 - ((age / ((double) s.getTail().size() - 1) / 2)));
		if(s.isDead())
			return new Color(1F, 0.5F, 0.5F, color);
		return new Color(1F, 1F, 1F, color);
	}
	
	public void setPos(int x, int y) {
		super.setPos(x, y);
		age = 0;
	}
	
	public String getName() {return s.getName() + "'s Tail";}

}
