import java.awt.Color;
import java.awt.Point;
import java.util.ArrayList;

public abstract class Tile {
	private int x, y;
	private Color c;
	public static ArrayList<Tile> tiles = new ArrayList<Tile>();
	
	public Tile(int x, int y) {
		this.setX(x);
		this.setY(y);
	}
	
	public void create() {
		tiles.add(this);
	}
	
	public void delete() {
		tiles.remove(this);
	}
	
	public Color getColor() {return c;}
	public void setColor(Color c) {this.c = c;}
	public void setPos(Point p) {setPos(p.x, p.y);}
	public Point getPos() {return new Point(x, y);}
	public void setPos(int x, int y) {setX(x); setY(y);}
	public int getY() {return y;}
	public void setY(int y) {this.y = y;}
	public int getX() {return x;}public void setX(int x) {this.x = x;}
	public String getName() {return getClass().getName();}
	
}
