


public class Window extends javax.swing.JFrame {


	private static final long serialVersionUID = 1L;
	
	public Window() {
		super("Snake " + Game.getVersion());
		setIconImage(new javax.swing.ImageIcon(getClass().getResource("icon.png")).getImage());
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		setSize(640, 640);
		add(Game.getGamePanel());
		setSize((getWidth() - Game.getGamePanel().getWidth()) / 2 + 640, (getHeight() -  Game.getGamePanel().getHeight()) / 2 + 640);
		setExtendedState(MAXIMIZED_BOTH);
		setVisible(true);
	}
	
	public void dispose() {
		Game.exit();
	}

}
