import java.awt.Color;


public class Food extends Tile {
	public static Food f;
	
	public Food(int x, int y) {
		super(x, y);
		setColor(Color.green);
		create();
		if(f != null)
			f.delete();
		f = this;
	}
	
	public static void newFood() {
		int x, y;
		while(true) {
			x = Game.r.nextInt(62) + 1;
			y = Game.r.nextInt(62) + 1;
			boolean b = false;
			for(int i = 0; i < tiles.size(); i++) {
				Tile t = tiles.get(i);
				if(t.getX() == x && t.getY() == y) {
					b = true;
				}
			}
			if(!b) {
				new Food(x, y);
				return;
			}
		}
	}
}
